#include <Arduino.h>
#include "led_effects.h"

/** Other scripts can use this namespace, in order to define callbacks.
 * Those callbacks can then be used to send commands to the sensor (reset, calibrate, night mode, ...)
 * The callbacks can either have no parameter, or one int32_t parameter.
 */

namespace sensor_commands {
  void run(const char *command);
  void defineIntCallback(const char *command, void (*function)(int32_t), const char *doc);
  void defineCallback(const char *command, void (*function)(void), const char *doc);
}
